Subject: Re: [Dyncast] Instance Affinity (draft-bormann-dyncast-affinity-00.txt)

From: Peng Liu | 刘鹏<[email-masked]>
Date: 23 Feb 2021 22:57:16 +0800

Hi Carsten, 

                     Normal   0            7.8 磅   0   2      false   false   false      EN-US   ZH-CN   X-NONE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                

Thank you for the draft to provide an interesting way of the instance affinity. I think it is for some scenarios that need loose synchronization and client support.

More detail about whether to use DNS or the period setting can be further discussed, and whether it adapts to the current architecture.

Regards,

Peng Liu

发件人: Carsten Bormann

时间: 2021/02/23(星期二)06:28

收件人: dyncast;

主题: [Dyncast] Instance Affinity (draft-bormann-dyncast-affinity-00.txt)You may not see this because of the I-D frenzy, but I thought I might alert you anyway.  I have written a little draft that proposes a way to obtain service instance affinity without building network state that needs to scale with the number of clients/service invocations.  Feedback would be welcome if you like exploring ideas like this.

Grüße, Carsten

> Name:draft-bormann-dyncast-affinity
> Revision:00
> Title:Providing Instance Affinity in Dyncast
> Document date:2021-02-22
> Group:Individual Submission
> Pages:7
> Status:         https://datatracker.ietf.org/doc/draft-bormann-dyncast-affinity/
> Html:           https://www.ietf.org/archive/id/draft-bormann-dyncast-affinity-00.html
> 
> Abstract:
>   Dyncast support in the network provides a client with a fresh optimal
>   path to a service provider instance, where optimality includes both
>   path and service provider characteristics.  As a service invocation
>   usually takes more than one packet, dyncast needs to provide instance
>   affinity for each service invocation.  Naive implementations of
>   instance affinity require per-application, per service-invocation
>   state in the network.
> 
>   The present short document defines a way to provide instance affinity
>   that does not require, but also does not rule out per-application
>   state.

-- 
Dyncast mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dyncast